Package htsjdk.tribble.bed

# Enum Class BEDCodec.StartOffset

java.lang.Object
java.lang.Enum<BEDCodec.StartOffset>
htsjdk.tribble.bed.BEDCodec.StartOffset

All Implemented Interfaces:
  `Serializable`, `Comparable<BEDCodec.StartOffset>`, `Constable`

Enclosing class:
  `BEDCodec`

public static enum BEDCodec.StartOffset extends Enum<BEDCodec.StartOffset>
Indicate whether co-ordinates or 0-based or 1-based.

Tribble uses 1-based, BED files use 0. e.g.: start_position = bedline_start_position - startIndex.value()

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ONE`
`ZERO`

## Method Summary

Modifier and Type
Method
Description
`int`
`value()`
`static BEDCodec.StartOffset`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BEDCodec.StartOffset[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ZERO

public static final BEDCodec.StartOffset ZERO

### ONE

public static final BEDCodec.StartOffset ONE

## Method Details

### values

public static BEDCodec.StartOffset[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BEDCodec.StartOffset valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public int value()